Create an Active Directory preferred DC configuration for an SVM
Creates a preferred domain controller configuration for an SVM in Active Directory, specifying the DC's domain and IP address. Use this endpoint when you need to define or update the preferred DC settings for a storage virtual machine.
HTTP method and endpoint
POST /protocols/active-directory/{svm.uuid}/preferred-domain-controllers
Introduced in
ONTAP 9.12
Usage notes
Creates an Active Directory preferred DC configuration for an SVM.
Required properties
-
svm.uuid- Existing SVM in which to create the preferred DC. -
domain- Fully Qualified Domain Name. -
server_ip- IPv4/IPv6 address of the preferred DC.
The following parameters are optional:
-
skip_config_validation
Related ONTAP commands
-
vserver active-directory preferred-dc add
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
skip_config_validation |
boolean |
query |
False |
Skip the validation of the specified preferred DC configuration.
|
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
svm.uuid |
string |
path |
True |
UUID of the SVM to which this object belongs. |
Request Body
| Name | Type | Description |
|---|---|---|
fqdn |
string |
Fully Qualified Domain Name. |
server_ip |
string |
IP address of the preferred DC. The address can be either an IPv4 or an IPv6 address. |
Example request
{
"fqdn": "test.com",
"server_ip": "4.4.4.4"
}
Response
Status: 201, Created
| Name | Type | Description |
|---|---|---|
fqdn |
string |
Fully Qualified Domain Name. |
server_ip |
string |
IP address of the preferred DC. The address can be either an IPv4 or an IPv6 address. |
Example response
{
"fqdn": "test.com",
"server_ip": "4.4.4.4"
}
Headers
| Name | Description | Type |
|---|---|---|
Location |
Useful for tracking the resource location |
string |
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
655366 |
Invalid domain controller. |
655506 |
Failed to add preferred-dc. |
655918 |
The fully qualified domain name cannot be longer than 254 bytes. |
656407 |
Failed to validate preferred-dc. |
656408 |
RPC failure occurred during preferred-dc config validation. |
Also see the table of common errors in the Response body overview section of this documentation.
Definitions
See Definitions
active_directory_preferred_dc
| Name | Type | Description |
|---|---|---|
fqdn |
string |
Fully Qualified Domain Name. |
server_ip |
string |
IP address of the preferred DC. The address can be either an IPv4 or an IPv6 address. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |